List all collections
curl --request GET \
--url https://api.cloudglue.dev/v1/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "collection",
"name": "<string>",
"created_at": 123,
"file_count": 123,
"description": "<string>",
"extract_config": {
"prompt": "<string>",
"schema": {},
"enable_video_level_entities": true,
"enable_segment_level_entities": true,
"enable_transcript_mode": true
},
"transcribe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_scene_text": true,
"enable_visual_scene_description": true,
"enable_audio_description": true
},
"describe_config": {
"enable_summary": true,
"enable_speech": true,
"enable_scene_text": true,
"enable_visual_scene_description": true,
"enable_audio_description": true
},
"default_segmentation_config": {
"uniform_config": {
"window_seconds": 60.5,
"hop_seconds": 60.5
},
"shot_detector_config": {
"threshold": 123,
"min_seconds": 300.3,
"max_seconds": 300.5,
"fill_gaps": true
},
"manual_config": {
"segments": [
{
"start_time": 123,
"end_time": 123
}
]
},
"narrative_config": {
"prompt": "<string>",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"keyframe_config": {
"frames_per_segment": 4,
"max_width": 2232
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"default_thumbnails_config": {
"enable_segment_thumbnails": true
},
"face_detection_config": {
"frame_extraction_config": {
"strategy": "uniform",
"uniform_config": {
"frames_per_second": 15.05,
"max_width": 2080
}
},
"thumbnails_config": {
"enable_frame_thumbnails": true
}
}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}Common Collection Operations
List Collections
List all collections
GET
/
collections
List all collections
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of collections to return
Required range:
x <= 100Number of collections to skip
Order the collections by a specific field
Available options:
name, created_at Sort the collections in ascending or descending order
Available options:
asc, desc Filter collections by type
Available options:
media-descriptions, entities, rich-transcripts, face-analysis Filter collections created after this date (ISO 8601 format)
Filter collections created before this date (ISO 8601 format)
Response
A list of collections
Object type, always 'list'
Available options:
list Array of collection objects
Show child attributes
Show child attributes
Total number of collections matching the query
Number of items returned in this response
Offset from the start of the list
⌘I